Subject: [bug#37912] [PATCH] gnu: elixir: Update to 1.9.2.

From: Marius Bakke <[email-masked]>
Date: Thu, 31 Oct 2019 23:54:49 +0100

Oskar Köök <[email-masked]> writes:

> Sorry, first time using Guix.
>
> Some Elixir tests are failing, caused by a new feature. I have locally fixed most of the issues related to this (I can now manually run the Makefile in the generated Guix folder without any tests failing), but I am stuck on a part where the tests spawn binaries and wait for a certain file to be created in a certain location. This does not work during the Guix build.

Perhaps it requires a network connection?  Or /bin/sh?  Those are the
most common sources of things failing in the build container but not on
a "regular" system.

> I will examine further over the weekend. If I can not fix these tests, is it acceptable to disable them? I can verify that the behaviour being tested works manually.

We should find out why they are failing in either case.  :-)